[**中文**](./README.zh.md)

<p align="center"><a href="https://hugoblox.com/templates/" target="_blank" rel="noopener"><img src="./.github/media/sharing.png" alt="Hugo Blox Builder"></a></p>

[![Get Started](https://img.shields.io/badge/-Get%20started-ff4655?style=for-the-badge)](https://hugoblox.com/templates/)
[![Discord](https://img.shields.io/discord/722225264733716590?style=for-the-badge)](https://discord.com/channels/722225264733716590/742892432458252370/742895548159492138)
[![GitHub Sponsors](https://img.shields.io/github/sponsors/gcushen?label=%E2%9D%A4%EF%B8%8F%20sponsor&style=for-the-badge)](https://github.com/sponsors/gcushen)
[![Twitter Follow](https://img.shields.io/twitter/follow/GetResearchDev?label=Follow%20on%20Twitter&style=for-the-badge)](https://twitter.com/GetResearchDev)
[![GitHub followers](https://img.shields.io/github/followers/gcushen?label=Follow%20on%20GH&style=for-the-badge)](https://github.com/gcushen)

# [Hugo Blox Builder](https://hugoblox.com): easy, all-in-one website builder

### Join 750,000+ Sites. No Code. Easily Create Future-Proof Websites ✏️ 📰 🚀

🔥 **1. Create _any_ kind of website for free with [Hugo](https://gohugo.io)-powered blocks** - from landing pages, knowledge bases, and courses to professional resumés, conferences, and tech blogs

🎨 **2. Personalize** a beautiful starter template with **50+ light/dark color themes, language packs, and blocks**

🛋 **3. Optionally, write from your sofa or on the go with the integrated open source Content Management System (CMS) based on [Decap CMS](https://docs.hugoblox.com/getting-started/cms/decap/)**

<p style="text-align: center"><a href="https://hugoblox.com/templates/" target="_blank" rel="noopener"><img src="./.github/media/write-from-phone.gif" alt="Hugo Blox Builder CMS"></a></p>

[Check out the latest **demos**](https://hugoblox.com/templates/) of what you'll get in less than 60 seconds, or [get **inspired**](https://hugoblox.com/creators/) by other creators.

- 👉 [**Get Started**](https://hugoblox.com/templates/)
- 📚 [View the **documentation**](https://docs.hugoblox.com/)
- 🙋‍♀️ **Have a question?**
  - **Chat with us now on [Discord](https://discord.gg/z8wNYzb)** or explore the [Troubleshooting Guide](https://docs.hugoblox.com/reference/troubleshooting/) and [Q&A Forum](https://github.com/HugoBlox/hugo-blox-builder/discussions)
  - _Also, check out [Hugo Forum](https://discourse.gohugo.io) for Hugo Qs and [Netlify Forum](https://answers.netlify.com/) for Netlify Qs_
- 🐦 Share your Hugo Blox Builder site with the community on Twitter: [@GetResearchDev](https://twitter.com/GetResearchDev) [@GeorgeCushen](https://twitter.com/GeorgeCushen) [#MadeWithHugoBlox](https://twitter.com/search?q=%23MadeWithHugoBlox&src=typed_query)
- 🗳 [Take the survey and help us improve #OpenSource](https://forms.gle/NioD9VhUg7PNmdCAA)
- ⬆️ **Updating?** View the [Update Guide](https://docs.hugoblox.com/reference/update/) and [Release Notes](https://github.com/HugoBlox/hugo-blox-builder/releases)
- 🚀 [Contribute improvements](CONTRIBUTING.md) or [suggest improvements](https://github.com/HugoBlox/hugo-blox-builder/issues)

## 💙 We ask you, humbly, to support this open source movement

Today we ask you to defend the open source independence of the Hugo Blox Builder website builder and themes 🐧

We're an **open source and open science movement** that depends on your support to stay online and thriving, but 99.9% of our creators don't give; they simply look the other way 🤦🏻‍♀️

### [😍️ Click here to become a GitHub Sponsor, unlocking awesome perks such as _exclusive templates, widgets, and tutorials_](https://github.com/sponsors/gcushen)

### Business Sponsors

<div style="display: grid; column-gap: 50px; grid-template-columns: repeat(3, 1fr);">
  <div style="display: flex; align-items: center;">
    <a href="https://www.netlify.com/" target="_blank"><img src=".github/media/sponsors/netlify.svg" alt="" height="40" width="147" style="display: inline-block;"></a>
  </div>
  <div>
    <a href="https://github.com/sponsors/gcushen"><img src=".github/media/sponsors/your-logo-here.png" alt="" style="display: inline-block;"></a>
  </div>
</div>

## Starter Templates

Hugo Blox Builder is a **no-code** framework for creating _any_ kind of website using **widgets**. Each site is 100% customizable to **make it your own**!

Choose from one of the starter templates to easily get started:

[![Writing technical content](./.github/media/starters.webp)](https://hugoblox.com/templates/)

## The Future of Technical Content Writing

**Write rich, future-proof content** using standardized Markdown along with bundled extensions for math and diagrams. Edit in the open source CMS or via an editor such as the online GitHub Editor, Jupyter Notebook, or RStudio! [Learn more](https://docs.hugoblox.com/reference/markdown/)

[![Writing technical content](https://hugoblox.com/uploads/readmes/writing-technical-content.gif)](https://academic-demo.netlify.app/post/writing-technical-content/)

## Features

[![Screenshot](./.github/media/academic.png)](https://hugoblox.com/templates/)

**Key features:**

- **Page builder** - Create _anything_ with [**blocks**](https://docs.hugoblox.com/getting-started/page-builder/) and [**elements**](https://docs.hugoblox.com/reference/markdown/)
- **Edit any type of content** - Blog posts, publications, talks, slides, projects, and more!
- **Create content** in [**Markdown**](https://docs.hugoblox.com/reference/markdown/), [**Jupyter**](https://docs.hugoblox.com/getting-started/cms/), or [**RStudio**](https://docs.hugoblox.com/getting-started/cms/rstudio/)
- **Plugin System** - Fully customizable [**color** and **font themes**](https://docs.hugoblox.com/getting-started/customize/#appearance)
- **Display Code and Math** - Code highlighting and [LaTeX math](https://docs.hugoblox.com/reference/markdown/#math) supported
- **Integrations** - [Google Analytics](https://analytics.google.com), [Disqus commenting](https://disqus.com), Maps, Contact Forms, and more!
- **Beautiful Site** - Simple and refreshing one page design
- **Industry-Leading SEO** - Help get your website found on search engines and social media
- **Media Galleries** - Display your images and videos with captions in a customizable gallery
- **Mobile Friendly** - Look amazing on every screen with a mobile friendly version of your site
- **Multi-language** - 35+ language packs including English, 中文, and Português
- **Multi-user** - Each author gets their own profile page
- **Privacy Pack** - Assists with GDPR
- **Stand Out** - Bring your site to life with animation, parallax backgrounds, and scroll effects
- **One-Click Deployment** - No servers. No databases. Only files.

## Themes

Hugo Blox Builder comes with **automatic day (light) and night (dark) mode** built-in. Alternatively, click the moon icon in the top right of one of the [Demos](https://hugoblox.com/templates/) to set your preferred mode!

Choose a stunning theme for your site and [customize it](https://docs.hugoblox.com/getting-started/customize/#custom-theme) to your liking:

[![Themes](./.github/media/themes.png)](https://hugoblox.com/templates/)

[Browse more templates and themes...](https://hugoblox.com/templates/)

## Ecosystem

- [**Academic File Converter**](https://github.com/GetRD/academic-file-converter): Automatically import academic publications from BibTeX to Markdown files
- [**Awesome Hugo**](https://github.com/HugoBlox/awesome-hugo): Scripts to help migrate content to new versions of Hugo

## Join the community

Feel free to [_star_ the project on Github](https://github.com/HugoBlox/hugo-blox-builder), [join the community](https://discord.gg/z8wNYzb) on Discord, and follow [@GetResearchDev](https://twitter.com/GetResearchDev) on Twitter to be the first to hear about new features.

## License

Copyright 2016-present [George Cushen](https://georgecushen.com).

The [Hugo Blox Builder](https://github.com/HugoBlox/hugo-blox-builder/) repository is released under the [MIT](https://github.com/HugoBlox/hugo-blox-builder/blob/main/LICENSE.md) license.
